Subject: Re: Porting eggdrop 1.3.xx
From: [email-masked] (creative1)

8 Dec 1998 03:18:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hugo Leote wrote:

> I'm one step away from compiling eggdrop1.3.22 sucessfully with cygwin32.
> Unfortunately I still get the following linking problem:

I have it running, although my version is a little different, it has the same
problem, how to solve it, easy...

>
>
> *****************************************
>
> Linking eggdrop...(statically)
>
> gcc -o ../eggdrop botcmd.o botmsg.o botnet.o chanprog.o cmds.o dcc.o dccutil.o f
> lags.o language.o main.o mem.o misc.o modules.o net.o tcl.o tcldcc.o tclhash.o t
> clmisc.o tcluser.o userent.o userrec.o users.o -L/cygnus/cygwin-b20/H-i586-cygwi
> n32/lib -ltcl80 -lm  mod/*.o

look on /src/makefile
and search for: mod/*.o
move it before the word that it infront of it, i don't have the code in my hand
right now but if
it looks something like this
{WHATEVER} {BLAH} something mod/*.o
change it like this:
{WHATEVER} {BLAH} mod/*.o something

now, it compiles perfect.

Joaquin Grech

--
---------------------------------------------------------------
!     C r e a t i v i t y     M u s t    S u r v i v e        !
---------------------------------------------------------------
!  Fido: 2:341/19.67                 Euronet: 25:928/100.67   !
!  Internet: [email-masked]                            !
!  Http://surf.to/creative                  Ya me direis :)   !
---------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".